Create a dev theme
Creates a new development theme by cloning the current production theme. If a dev theme already exists it is returned unchanged.
POST
/shops/{id}/themesAuthorization
AuthorizationBearer token (JWT) · headerrequiredPath parameters
idintegerrequiredShop ID
Request body
application/jsontitlestringOptional title for the new dev theme
Responses
201
Dev theme created
_linksHalLinksidstringOpaque theme identifier
linkedbooleanWhether this is a linked (inherited) theme
parent_idstring | nullproductionbooleantrue for the live/public theme
publicbooleanAlias for production
accessiblebooleantitlestringsettingsstringRaw JSON string of theme settings
created_onstring<date-time>updated_onstring<date-time>_embeddedobjectShow propertiesHide properties
templatesThemeTemplate[]Show propertiesHide properties
Array of
ThemeTemplate_linksHalLinksidstringfile_namestringpathstringbodystringFull template source code
is_sectionbooleanschemaobjectPresent only when is_section is true — the section's configurable schema.
parent_commitstring | nullupdated_onstring<date-time>assetsThemeAsset[]Show propertiesHide properties
Array of
ThemeAsset_linksHalLinksidstringfile_namestringcontent_typestringfile_sizeintegerdigeststringurlstringCDN URL for this asset
updated_onstring<date-time>401
Unauthorized
403
Access denied